// *****************************************
// Initialize Pythia Parameter 
//   for e+e- -> zh event.
//$Id: InitPythia.C,v 1.2 1999/03/10 04:16:16 miyamoto Exp $
// *****************************************
void InitPythia()
{

  TPythia *tpy=py->GetPythia();

  tpy->SetMSEL(0);            // Set process manually
  //  If MSEL=0, user has to specify which process is to generate.

//
// (1) Switches to turn on each each subprocesses
//
  /*
  tpy->SetMSUB(1, 1);        // include ee->gamma/Z0 process
  tpy->SetMSUB(22, 1);        // include ee->Z0 Z0 process
  tpy->SetMSUB(24, 1);        // include ee->Z0 + H0
  tpy->SetMSUB(103, 1);       // include  gamma+gamma->H0
  tpy->SetMSUB(123, 1);       // include  f+f' -> f +f' + H0 (ZZ fusion)
  tpy->SetMSUB(124, 1);       // include  f+f' -> f"+f"' + H0 (WW fusion)

  tpy->SetMSUB(25, 1);        // include  f+f' -> W+ W-
  */

  /*
  // To generate e+e- -> e neu W process.
  tpy->SetMSTP(11,1);         // include initial state beamstrahlung
  tpy->SetMSTP(12,1);        
  tpy->SetMSUB(36,1);        // include e gamma -> gamma W process
  */

//  
// (2) Example to set mass of higgs.
//
  /*
  // Set mass of Higgs.
  Float_t fHiggsmass=110.0;       // Higgs mass
  Int_t kf=25;                   // kf code for H0 is 25
  Int_t kc=tpy->LuComp(kf);      // Get kc code for Higgs.
  tpy->SetPMAS(kc,1,fHiggsmass); // Set Higgs mass 
  printf(" Higgs mass parameters Mass=%g Width=%g Trancat %g LifeTime=%g\n",
	 tpy->GetPMAS(kc,1), tpy->GetPMAS(kc,2), 
	 tpy->GetPMAS(kc,3), tpy->GetPMAS(kc,4) );
  */


//
// (3) Example to restrict decay mode of Z0
//     First, disable all decay mode, then turn on desirable mode.
/*
  //  To Restrict Z0 decay mode.
  //  IDC code of Z decay  ( From the list obtained by LuList(12) )
  //  IDC=156   d d~ ,   157   u u~ ,   158   s s~
  //      159   c c~ ,   160   b b~ ,   161   t t~
  //      162   l l~ ,   163   h h~  
  //      164   e-e+ ,   165   nu_e ne_e~
  //      166   mu-mu+,  167   nu_mu,nu_mu~
  //      168   tau-tau+, 169  nu_tau,nu_tau~
  //      170   chi-chi+, 171  nu_chi, nu_chi~ 
  for(Int_t idc=156;idc<=171;idc++)   tpy->SetMDME(idc,1,0);
  Int_t fIDC=166;  // In this case, select only mu+mu 
  tpy->SetMDME(fIDC,1,1) ;  // Allow only pne decay chanel
*/

}


// Full width of Pythia Standard Decay width and Decay Channel number
// List is obtained by
//  TPythia::PyStat(2)
//
/*